
#define MAX_BUFFER_LENGTH	15000   // maximal number of characters per line
#define MAX_NUM_SEQ             20000   // maximal number of sequences
#define MAX_SEQ_LENGTH          15001   // maximal length of any sequence in input data
#define MAX_SITES               80000   // maximal number of sites in the entire data per motif
#define MAX_PWM_LENGTH          120     // maximal pwm/motif length
#define MAX_DIMENSION           200000  // maximal pwm score dimension
#define Z_CUTOFF                6.0
#define PSEUDO_COUNT	        0.0001  // pseudo count
#define DOUBLE_TO_INT_SCALE	150.0   // (int)PWM=(int)(PWM*DOUBLE_TO_INT_SCALE)
#define MIN_BITS1		0.2     // out of 2bits three different levels of cutoff for extending/trimming motif
#define MIN_BITS2		0.3     // out of 2bits
#define MIN_BITS3		0.5     // out of 2bits
#define BASE_EXT		10      // output motifs with 'BASE_EXT' bases on each side
#define FLANKING_BASES		10      // output motifs with 'BASE_EXT' bases on each side
#define DUMMY_FITNESS		99999   // dummy fitness score for motifs that do not meet minimal requirements
#define NUM_NO_MOTIF            1       // GADEM stops when the number of GADEM cycles produces no motifs
#define SIMILARITY_ALPHA        0.30    // goodness-of-fit alpha level
#define PWM_CONVERGENCE         0.001   //

#define min(a,b)                (((a)<(b))?(a):(b))
#define max(a,b)                (((a)>(b))?(a):(b))
#define mod(a,b)		((a)-(b)*((a)/(b)))

